# Localization Namespace Reference

## Functions
def | sendQuery
| send a query to the Database and return the result set
def | initProjection1
| this function is used to init projection Matrix1 and affineMatrix1
def | initProjection2
| This function is used to init projectMatrix2 and affineMatrix2 parameter.
def | projectCursor
| poject the cursor from 3D to 2D image
def | structureDisplay
| display the CSO
def | update3DOverlay
def | showCSOManager
| display the CSOManager panel
def | saveCSOToFile
| save CSO to a file
def | saveCSO
| save CSO to file and database
def | ApprovalSExist
| check if CSO Structure exists or not
def | saveApprovalStatus
| save the approval status of a CSO
def | CSOExist
| check if a CSO Exist or not
def | saveCSOToDB
| save CSO to the database.
def | getPatientRecordID
| get the patient Record ID with given MRO
def | saveAndApproval
| save and approve the CSO
def | closePanel
| close the panel
def | selection
| trigger the showSelection field
def | hide3DTarget
| hide or show the 3D target
def | hide3DSource
| hide or show 3D source
def | combineSrcTgt
| combine the source and target
def | toggleDrawingonImage2D1
| toggle the drawing on Image2D1
def | toggleDrawingonImage2D2
| toggle the drawing on Image2D2
def | help
| show help for the module
## Variables
| wind = None;
| Global variables.
tuple | proj_matrix1 = matrix()
tuple | postProjAffine1 = matrix()
tuple | proj_matrix2 = matrix()
tuple | postProjAffine2 = matrix()

## Detailed Description

    * Copyright (c) 2009 Stanford University, School of Medicine All rights reserved.
    *
    * STANFORD ACADEMIC SOFTWARE LICENSE AGREEMENT
    * FOR AngioLocalize SOURCE CODE:
    *
    * 1.  This is a legal agreement between you, RECIPIENT, and STANFORD UNIVERSITY.
    *       By accepting, receiving, and using AngioLocalize.including any accompanying information, materials or
    *       manuals (Program), you are agreeing to be bound by the terms of this Agreement.
    *       If you do not agree to the terms of this Agreement, promptly return the Program to the STANFORD.

    * 2.  STANFORD grants to RECIPIENT a royalty-free, nonexclusive, and nontransferable license to use the Program
    *       and accompanying source code furnished hereunder, upon the terms and conditions set out below.
    *       documentation and/or other materials provided with the distribution.
    * 3.  RECIPIENT acknowledges that the Program is a research tool still in the development stage and that
    *       it is being supplied as is, without any accompanying services, support or improvements from STANFORD.
    * 4.  RECIPIENT agrees to use the Program solely for internal non-commercial purposes.
    * 5.  RECIPIENT may create derivatives and further transfer the Program under the following terms and conditions:
    *        A) Recipient agrees to not commercially exploit the Program and agrees all uses will be for non-commercial purposes; and,
    *        B) Recipient may not mark any derivatives with the title of Program and may not to use iPad mark for any derivatives; and,
    *        C) Recipient agrees to mark and acknowledge all derivatives as follows: "This is a derivative work based on AngioLocalize:
    *           Frameless AVM localization with 2D Digital Subtraction Angiography (DSA) and 3D Rotational Angiography (DRA) Images developed
    *           by Dimitre Hristov, Lina Liu.
    *        D) Recipient agrees to make all improvements, enhancements and derivatives available under
    *           similar terms and conditions to the research community.
    * 6.   RECIPIENT warrants that RECIPIENT will not remove or export any part of the software or Program from the United
    *       States except in full compliance with all United States and other applicable laws and regulations.
    * 7.  RECIPIENT will use the Program in compliance with all applicable laws, policies and regulations including, but not
    *       limited to, any approvals, informed consent and patient confidentiality principles.
    * 8.   RECIPIENT will indemnify, hold harmless, and defend Stanford against any claim of any kind arising out of or
    *       related to the exercise of any rights granted under this Agreement or the breach of this Agreement by RECIPIENT.
    * 9.  Title and copyright to the Program and any associated documentation shall at all times remain with STANFORD,
    *       and RECIPIENT agrees to preserve same.

## Function Documentation

def Localization::saveCSOToDB | ( |  | CSOName | ) |

save CSO to the database.

Definition at line 187 of file Localization.py.

All Classes Namespaces Files Functions Variables Enumerator Friends